<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>drivers/qspiflash/src/qspiflash.c File Reference</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>Globals</span></a></li>
    </ul>
  </div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_14bc92f4b96c8519b376567118ac28b3.html">drivers</a></li><li class="navelem"><a class="el" href="dir_9f8c544e60ecba38724f4e794a0ce3e0.html">qspiflash</a></li><li class="navelem"><a class="el" href="dir_e6800bb308f1b661a7f2304b2b5c2e52.html">src</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">qspiflash.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>QSPI Flash driver.  
<a href="#details">More...</a></p>
<div class="textblock"><code>#include &lt;stdint.h&gt;</code><br />
<code>#include &lt;stdlib.h&gt;</code><br />
<code>#include &lt;stddef.h&gt;</code><br />
<code>#include &lt;string.h&gt;</code><br />
<code>#include &lt;stdio.h&gt;</code><br />
<code>#include &lt;ti/common/sys_common.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/MemoryP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/HwiP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/DebugP.h&gt;</code><br />
<code>#include &lt;ti/drivers/osal/SemaphoreP.h&gt;</code><br />
<code>#include &lt;ti/drivers/qspi/qspi.h&gt;</code><br />
<code>#include &lt;<a class="el" href="qspiflash_8h.html">ti/drivers/qspiflash/qspiflash.h</a>&gt;</code><br />
<code>#include &lt;<a class="el" href="qspiflash__internal_8h.html">ti/drivers/qspiflash/include/qspiflash_internal.h</a>&gt;</code><br />
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa56ed45c25fd86c917e4ec5db93e7919"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaa56ed45c25fd86c917e4ec5db93e7919">QSPIFlashReadByte</a> (QSPI_Handle QSPIHandle)</td></tr>
<tr class="separator:gaa56ed45c25fd86c917e4ec5db93e7919"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5885e8b47dc44142cfb610d03b467f1b"><td class="memItemLeft" align="right" valign="top">static uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga5885e8b47dc44142cfb610d03b467f1b">QSPIFlashReadCmd</a> (QSPI_Handle QSPIHandle, uint32_t cmd)</td></tr>
<tr class="separator:ga5885e8b47dc44142cfb610d03b467f1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga642d4643525d00c34c8f099433398777"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga642d4643525d00c34c8f099433398777">QSPIFlashWriteAddr</a> (QSPI_Handle QSPIHandle, uint32_t addr, uint32_t frameLen)</td></tr>
<tr class="separator:ga642d4643525d00c34c8f099433398777"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab63f7412656247de365c9c297fe60aac"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gab63f7412656247de365c9c297fe60aac">QSPIFlashWriteByte</a> (QSPI_Handle QSPIHandle, uint8_t data, uint32_t frameLen)</td></tr>
<tr class="separator:gab63f7412656247de365c9c297fe60aac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga175ddb1c31dfd675ffcbea1f05bf1937"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga175ddb1c31dfd675ffcbea1f05bf1937">QSPIFlashGetDeviceID</a> (QSPI_Handle QSPIHandle, uint32_t cmd, SPIFLASH_devID *devID)</td></tr>
<tr class="separator:ga175ddb1c31dfd675ffcbea1f05bf1937"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga38b6efb5308e1f3c128c98e578d9fee7"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga38b6efb5308e1f3c128c98e578d9fee7">QSPIFlashDefaultCmd_init</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#ga535e46bd1f8504acde86626bdb657f21">SPIFLASH_Params</a> *ptrFlashParams)</td></tr>
<tr class="separator:ga38b6efb5308e1f3c128c98e578d9fee7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0e52f1ace84fde0b170e5f636329f56"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qspiflash_8c.html#ae0e52f1ace84fde0b170e5f636329f56">QSPIFlashReadSFDP</a> (QSPI_Handle QSPIHandle, uint32_t addr, uint32_t dataLen, uint8_t *receiveData)</td></tr>
<tr class="separator:ae0e52f1ace84fde0b170e5f636329f56"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9f1e577a8995b9f5f192c9bffea81186"><td class="memItemLeft" align="right" valign="top">static int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga9f1e577a8995b9f5f192c9bffea81186">QSPIFlashReadDeviceParams</a> (<a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___d_a_t_a___s_t_r_u_c_t_u_r_e.html#gab2bc1f3314515de16d1326c143cb85ea">QSPIFLASH_Driver</a> *ptrQSPIFlashDrv)</td></tr>
<tr class="separator:ga9f1e577a8995b9f5f192c9bffea81186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac339216785a80fee8e46679becdbf34f"><td class="memItemLeft" align="right" valign="top">static uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac339216785a80fee8e46679becdbf34f">QSPIFlashSupportModes</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gac339216785a80fee8e46679becdbf34f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe542925e1eb3cbc609a8332395e5c11"><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="qspiflash_8c.html#afe542925e1eb3cbc609a8332395e5c11">QSPIFlashSysDmaIntHandler</a> (uint32_t dmaChannel, DMA_IntType dmaIntType, void *arg)</td></tr>
<tr class="separator:afe542925e1eb3cbc609a8332395e5c11"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga549e33109b6ba8ce0f2aa71fd2d8bd70"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga549e33109b6ba8ce0f2aa71fd2d8bd70">QSPIFlashGetStatus</a> (QSPI_Handle QSPIHandle, uint32_t cmd)</td></tr>
<tr class="separator:ga549e33109b6ba8ce0f2aa71fd2d8bd70"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8aee2e79102503208e45da9f56bfc0a7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___i_n_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8aee2e79102503208e45da9f56bfc0a7">QSPIFlashWriteCmd</a> (QSPI_Handle QSPIHandle, uint32_t cmd, uint32_t frameLen)</td></tr>
<tr class="separator:ga8aee2e79102503208e45da9f56bfc0a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94aa45edbab024db93e760c1693b3d5a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga94aa45edbab024db93e760c1693b3d5a">QSPIFlash_getDeviceID</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, SPIFLASH_devID *devId)</td></tr>
<tr class="separator:ga94aa45edbab024db93e760c1693b3d5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf8ba53757ffe1d6927d7c10a6bea7f2a">QSPIFlash_writeEnable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf8ba53757ffe1d6927d7c10a6bea7f2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga04daf89ca77fbd430ddccee8bf43ed96">QSPIFlash_writeDisable</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga04daf89ca77fbd430ddccee8bf43ed96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga623161a5fb1acfa14cd2efdaf632726d">QSPIFlash_progQuadRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga623161a5fb1acfa14cd2efdaf632726d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga735d94679ca93b3bad68b09d5323273d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga735d94679ca93b3bad68b09d5323273d">QSPIFlash_clearBlockProtectBits</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga735d94679ca93b3bad68b09d5323273d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0a93c591c798e9150dd335c038691a31"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0a93c591c798e9150dd335c038691a31">QSPIFlash_singleRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *userDataBuf)</td></tr>
<tr class="separator:ga0a93c591c798e9150dd335c038691a31"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac5e75d1dab0f57b4d3ac3dfa5753d02c">QSPIFlash_mmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *userDataBuf)</td></tr>
<tr class="separator:gac5e75d1dab0f57b4d3ac3dfa5753d02c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f736fdaa3adb679ea029781498ca25b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga7f736fdaa3adb679ea029781498ca25b">QSPIFlash_singleWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t memAddr, uint32_t dataLen, uint8_t *srcDataAddr)</td></tr>
<tr class="separator:ga7f736fdaa3adb679ea029781498ca25b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gacf22957e5ee0b0b4e4a8e5008de5d6e3">QSPIFlash_mmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, const uint32_t *memAddr, uint32_t dataLen, uint32_t *srcDataAddr)</td></tr>
<tr class="separator:gacf22957e5ee0b0b4e4a8e5008de5d6e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gac4da1932c9a30618e5373766a0c4a0f5">QSPIFlash_configMmapRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, <a class="el" href="qspiflash_8h.html#aa4a5c3e4f93e3ee65cfce1ad83df6cc0">FLASH_READ_MODE</a> mode)</td></tr>
<tr class="separator:gac4da1932c9a30618e5373766a0c4a0f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaf055ccb829f268bb7b7e3ed80ee87e0f">QSPIFlash_configMmapWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:gaf055ccb829f268bb7b7e3ed80ee87e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gad422bdefb5e551c01e9d9fc7a5052fd6">QSPIFlash_sectorErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gad422bdefb5e551c01e9d9fc7a5052fd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaade7d5117607367b78d574f43792a051"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gaade7d5117607367b78d574f43792a051">QSPIFlash_blockErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, uint32_t addr)</td></tr>
<tr class="separator:gaade7d5117607367b78d574f43792a051"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga1cb555b4298538f7c1a965b9c79c55ad">QSPIFlash_chipErase</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga1cb555b4298538f7c1a965b9c79c55ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga3dfffa9b307d21087b3f11f44b6730f9">QSPIFlash_init</a> (void)</td></tr>
<tr class="separator:ga3dfffa9b307d21087b3f11f44b6730f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e56314ac09f1354b94593c45bddc857"><td class="memItemLeft" align="right" valign="top"><a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga8e56314ac09f1354b94593c45bddc857">QSPIFlash_open</a> (QSPI_Handle QSPIHandle, int32_t *errCode)</td></tr>
<tr class="separator:ga8e56314ac09f1354b94593c45bddc857"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga0ac7e5973d3e7253f379ae6fae0c400a">QSPIFlash_close</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga0ac7e5973d3e7253f379ae6fae0c400a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2440543dd1a2fa76b4b94cc2808a3978">QSPIFlash_getExtFlashAddr</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle)</td></tr>
<tr class="separator:ga2440543dd1a2fa76b4b94cc2808a3978"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#ga2b9c830818b1455c0b086e7dc16abc22">QSPIFlash_sysDmaWrite</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:ga2b9c830818b1455c0b086e7dc16abc22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae6b114479aabb901978937a25bf1790b"><td class="memItemLeft" align="right" valign="top">int32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___q_s_p_i_f_l_a_s_h___d_r_i_v_e_r___e_x_t_e_r_n_a_l___f_u_n_c_t_i_o_n.html#gae6b114479aabb901978937a25bf1790b">QSPIFlash_sysDmaRead</a> (<a class="el" href="qspiflash_8h.html#a619eb9010f942b6f1698f7bcce489328">QSPIFlash_Handle</a> QSPIFlashHandle, DMA_Handle dmaHandle, uint32_t dmaChan, uint32_t srcAddr, uint32_t dstAddr, uint32_t dataLen)</td></tr>
<tr class="separator:gae6b114479aabb901978937a25bf1790b"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>QSPI Flash driver. </p>
<p>============================================================================ </p>
</div><h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ae0e52f1ace84fde0b170e5f636329f56"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashReadSFDP </td>
          <td>(</td>
          <td class="paramtype">QSPI_Handle&#160;</td>
          <td class="paramname"><em>QSPIHandle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>addr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dataLen</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">uint8_t *&#160;</td>
          <td class="paramname"><em>receiveData</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function reads flash SFDP.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">QSPIHandle</td><td>QSPI driver handle </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">addr</td><td>Address offset to read </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dataLen</td><td>Data length of the read operation </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">receiveData</td><td>Pointer to store the received data</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afe542925e1eb3cbc609a8332395e5c11"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static void QSPIFlashSysDmaIntHandler </td>
          <td>(</td>
          <td class="paramtype">uint32_t&#160;</td>
          <td class="paramname"><em>dmaChannel</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">DMA_IntType&#160;</td>
          <td class="paramname"><em>dmaIntType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>arg</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p><b>Description</b> <br />
 This function handles the DMA interrupt which is generated from QSPI</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaChannel</td><td>DMA channel </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">dmaIntType</td><td>DMA interrupt type FTC/BTC </td></tr>
    <tr><td class="paramdir">[in]</td><td class="paramname">arg</td><td>DMA interrupt argument</td></tr>
  </table>
  </dd>
</dl>
<dl class="retval"><dt>Return values</dt><dd>
  <table class="retval">
    <tr><td class="paramname">None.</td><td></td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
